ConfigurationException (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.ex, class: ConfigurationException

Package org.apache.commons.configuration2.ex

# Class ConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.configuration2.ex.ConfigurationException

All Implemented Interfaces:
  `Serializable`

public class ConfigurationException extends Exception
Any exception that occurs while initializing a Configuration object.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationException()`
  Constructs a new `ConfigurationException` without specified detail message.
  `ConfigurationException(String message)`
  Constructs a new `ConfigurationException` with specified detail message.
  `ConfigurationException(String format, Object... params)`
  Constructs a new `ConfigurationException` with specified detail message.
  `ConfigurationException(String message, Throwable cause)`
  Constructs a new `ConfigurationException` with specified detail message and nested `Throwable`.
  `ConfigurationException(Throwable cause)`
  Constructs a new `ConfigurationException` with specified nested `Throwable`.
  `ConfigurationException(Throwable cause, String format, Object... params)`
  Constructs a new `ConfigurationException` with specified detail message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationException

    public ConfigurationException()
    Constructs a new `ConfigurationException` without specified detail message.

  - ### ConfigurationException

    public ConfigurationException(String message)
    Constructs a new `ConfigurationException` with specified detail message.
    Parameters:
      `message` - the error message

  - ### ConfigurationException

    public ConfigurationException(String format, Object... params)
    Constructs a new `ConfigurationException` with specified detail message.
    Parameters:
      `format` - the error message for for `String.format(String, Object...)`.
      `params` - the error parameters for for `String.format(String, Object...)`.
    Since:
      2.14.0

  - ### ConfigurationException

    public ConfigurationException(String message, Throwable cause)
    Constructs a new `ConfigurationException` with specified detail message and nested `Throwable`.
    Parameters:
      `message` - the error message.
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### ConfigurationException

    public ConfigurationException(Throwable cause)
    Constructs a new `ConfigurationException` with specified nested `Throwable`.
    Parameters:
      `cause` - the exception or error that caused this exception to be thrown.

  - ### ConfigurationException

    public ConfigurationException(Throwable cause, String format, Object... params)
    Constructs a new `ConfigurationException` with specified detail message.
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      `format` - the error message for for `String.format(String, Object...)`.
      `params` - the error parameters for for `String.format(String, Object...)`.
    Since:
      2.14.0